summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-12-05 19:04:24 +0000
committer Eric Hameleers <alien@slackware.com>2019-12-06 08:59:49 +0100
commit4fc798c4ca2a975ab8af459a6c27ee592baf0605 (patch)
tree2af17336626f9fd97e027cecda2e09f5665b7e70 /source
parentcd6f7a8c2cc3858324e194828283bc5a265a97f6 (diff)
downloadcurrent-4fc798c4ca2a975ab8af459a6c27ee592baf0605.tar.gz
current-4fc798c4ca2a975ab8af459a6c27ee592baf0605.tar.xz
Thu Dec 5 19:04:24 UTC 201920191205190424
a/tcsh-6.22.02-x86_64-1.txz: Upgraded. ap/vim-8.1.2391-x86_64-1.txz: Upgraded. l/fuse3-3.8.0-x86_64-2.txz: Rebuilt. rc.fuse3: Don't source /lib/lsb/init-functions unless it exists. NOTE: FUSE seems to work fine without starting rc.fuse3, which it why it isn't actually called from anywhere during system startup. n/iw-5.4-x86_64-1.txz: Upgraded. n/php-7.4.0-x86_64-2.txz: Rebuilt. Rebuilt using --enable-gd=shared and --with-zip=shared. Thanks to Matteo Bernardini. xap/gv-3.7.4-x86_64-3.txz: Rebuilt. Patched to fix save/print features when used with the latest ghostscript. Added --enable-international build option. Fixed broken whitespace in the bounding-box patch. Thanks to Xsane. xap/vim-gvim-8.1.2391-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/fuse3/fuse3.SlackBuild9
-rw-r--r--source/l/fuse3/rc.fuse3.no.source.lsb.init-functions.diff13
-rwxr-xr-xsource/n/php/php.SlackBuild7
-rw-r--r--source/xap/gv/gv-bounding-box.patch2
-rw-r--r--source/xap/gv/gv-bz1536211.patch24
-rwxr-xr-xsource/xap/gv/gv.SlackBuild4
6 files changed, 51 insertions, 8 deletions
diff --git a/source/l/fuse3/fuse3.SlackBuild b/source/l/fuse3/fuse3.SlackBuild
index 20a718a76..7a85f8c28 100755
--- a/source/l/fuse3/fuse3.SlackBuild
+++ b/source/l/fuse3/fuse3.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright (c) 2008, Antonio Hernandez Blas <hba.nihilismus@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fuse3
SRCNAM=fuse
VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -80,6 +80,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# We don't include LSB cruft, so check to see if the LSB init-functions
+# file exists before sourcing it. On another note, I've never found any
+# reason to actually run this init script. FUSE works fine without it.
+zcat $CWD/rc.fuse3.no.source.lsb.init-functions.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
diff --git a/source/l/fuse3/rc.fuse3.no.source.lsb.init-functions.diff b/source/l/fuse3/rc.fuse3.no.source.lsb.init-functions.diff
new file mode 100644
index 000000000..824b4b8a7
--- /dev/null
+++ b/source/l/fuse3/rc.fuse3.no.source.lsb.init-functions.diff
@@ -0,0 +1,13 @@
+--- ./util/init_script.orig 2019-11-03 03:53:39.000000000 -0600
++++ ./util/init_script 2019-12-05 12:06:09.156052064 -0600
+@@ -20,7 +20,9 @@
+ which fusermount3 &>/dev/null || exit 5
+
+ # Define LSB log_* functions.
+-. /lib/lsb/init-functions
++if [ -r /lib/lsb/init-functions ]; then
++ . /lib/lsb/init-functions
++fi
+
+ case "$1" in
+ start|restart|force-reload)
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index 3d0f61608..0f50aeea6 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=php
VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
ALPINE=2.21
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -189,11 +189,10 @@ CXXFLAGS="$SLKCFLAGS -DU_USING_ICU_NAMESPACE=1" \
--with-db4=/usr \
--enable-exif=shared \
--enable-ftp=shared \
- --enable-gd \
+ --enable-gd=shared \
--with-external-gd \
--with-jpeg \
--with-xpm \
- --with-freetype \
--with-gettext=shared,/usr \
--with-gmp=shared,/usr \
--with-iconv=shared \
@@ -220,7 +219,7 @@ CXXFLAGS="$SLKCFLAGS -DU_USING_ICU_NAMESPACE=1" \
--enable-sysvsem \
--enable-sysvshm \
--with-xsl=shared,/usr \
- --with-zip \
+ --with-zip=shared \
--with-tsrm-pthreads \
--enable-intl=shared \
--enable-opcache \
diff --git a/source/xap/gv/gv-bounding-box.patch b/source/xap/gv/gv-bounding-box.patch
index 4cfcb7428..8c9e0d016 100644
--- a/source/xap/gv/gv-bounding-box.patch
+++ b/source/xap/gv/gv-bounding-box.patch
@@ -7,7 +7,7 @@ index 2428bcc..822b65a 100644
p++;
fury = strtod(p, &pe);
- if (*pe != '\n' && *pe != '\0' && *pe != ' ' && *pe != '\t') {
-+ if (*pe != '\n' && *pe != '\r'&& *pe != '\0' && *pe != ' ' && *pe != '\t') {
++ if (*pe != '\n' && *pe != '\r' && *pe != '\0' && *pe != ' ' && *pe != '\t') {
return 0;
}
diff --git a/source/xap/gv/gv-bz1536211.patch b/source/xap/gv/gv-bz1536211.patch
new file mode 100644
index 000000000..271f1a920
--- /dev/null
+++ b/source/xap/gv/gv-bz1536211.patch
@@ -0,0 +1,24 @@
+diff -up gv-3.7.4/src/Makefile.am.bz1536211 gv-3.7.4/src/Makefile.am
+--- gv-3.7.4/src/Makefile.am.bz1536211 2012-03-29 10:03:49.000000000 -0600
++++ gv-3.7.4/src/Makefile.am 2019-11-18 18:42:47.244610229 -0700
+@@ -198,7 +198,7 @@ gv_intern_res_unix.dat :
+ @echo "" >> gv_intern_res_unix.dat
+ @echo "GV.gsInterpreter: gs" >> gv_intern_res_unix.dat
+ @echo "GV.gsCmdScanPDF: gs -dNODISPLAY -dQUIET -sPDFname=%s -sDSCname=%s %s pdf2dsc.ps -c quit" >> gv_intern_res_unix.dat
+- @echo "GV.gsCmdConvPDF: gs -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pswrite -sOutputFile=%s -f %s -c save pop quit" >> gv_intern_res_unix.dat
++ @echo "GV.gsCmdConvPDF: gs -dNOPAUSE -dQUIET -dBATCH -sDEVICE=ps2write -sOutputFile=%s -f %s -c save pop quit" >> gv_intern_res_unix.dat
+ @echo "GV.gsX11Device: -sDEVICE=x11" >> gv_intern_res_unix.dat
+ @echo "GV.gsX11AlphaDevice: -sDEVICE=x11 -dTextAlphaBits=4 -dGraphicsAlphaBits=2 -dMaxBitmap=10000000 -dNOPLATFONTS" >> gv_intern_res_unix.dat
+ @echo "GV.gsSafeDir: True" >> gv_intern_res_unix.dat
+diff -up gv-3.7.4/src/Makefile.in.bz1536211 gv-3.7.4/src/Makefile.in
+--- gv-3.7.4/src/Makefile.in.bz1536211 2013-03-17 05:20:10.000000000 -0600
++++ gv-3.7.4/src/Makefile.in 2019-11-18 18:43:30.038305572 -0700
+@@ -1134,7 +1134,7 @@ gv_intern_res_unix.dat :
+ @echo "" >> gv_intern_res_unix.dat
+ @echo "GV.gsInterpreter: gs" >> gv_intern_res_unix.dat
+ @echo "GV.gsCmdScanPDF: gs -dNODISPLAY -dQUIET -sPDFname=%s -sDSCname=%s %s pdf2dsc.ps -c quit" >> gv_intern_res_unix.dat
+- @echo "GV.gsCmdConvPDF: gs -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pswrite -sOutputFile=%s -f %s -c save pop quit" >> gv_intern_res_unix.dat
++ @echo "GV.gsCmdConvPDF: gs -dNOPAUSE -dQUIET -dBATCH -sDEVICE=ps2write -sOutputFile=%s -f %s -c save pop quit" >> gv_intern_res_unix.dat
+ @echo "GV.gsX11Device: -sDEVICE=x11" >> gv_intern_res_unix.dat
+ @echo "GV.gsX11AlphaDevice: -sDEVICE=x11 -dTextAlphaBits=4 -dGraphicsAlphaBits=2 -dMaxBitmap=10000000 -dNOPLATFONTS" >> gv_intern_res_unix.dat
+ @echo "GV.gsSafeDir: True" >> gv_intern_res_unix.dat
diff --git a/source/xap/gv/gv.SlackBuild b/source/xap/gv/gv.SlackBuild
index f59d9c9c8..1c49c547f 100755
--- a/source/xap/gv/gv.SlackBuild
+++ b/source/xap/gv/gv.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gv
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -82,6 +82,7 @@ zcat $CWD/gv-dat.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/gv-aarch64.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/gv-bounding-box.patch.gz | patch -p2 --verbose || exit 1
zcat $CWD/gv-bug1071238.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/gv-bz1536211.patch.gz | patch -p1 --verbose || exit 1
# Configure:
CFLAGS="$SLKCFLAGS $(pkg-config --cflags xaw3d)" \
@@ -91,6 +92,7 @@ CFLAGS="$SLKCFLAGS $(pkg-config --cflags xaw3d)" \
--libdir=/etc/X11 \
--mandir=/usr/man \
--infodir=/usr/info \
+ --enable-international \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux